Description

If | remember correctly, the default directory for 'File-->Open File..." menu item is getting-started directory in Kepler 1.0. In Kepler 2.0
RC 5, the default directory is KeplerData and the getting-started directory is at
KeplerData/workflows/module/outreach-2.0.0/demos/getting-started. It might be inconvenient to find this directory, especially for
novice.

The discussion about it on IRC is as follows:

<jianwu> but why it has such a name, and it is not the default dir for 'file opening’
<jianwu> If | remember correctly, the file open will go to the getting-started directory by default.
<jianwu> for Keplre 1.0

<jianwu> In Kepler 2.0, this directory will take people a long time to find it.

<jianwu> what do you think, davidwelker?

<davidwelker> hmm

<davidwelker> | think we could change it

<davidwelker> who knows how to change it quickly?

<davidwelker> | agree this is less convenient. But | am not going to delay the release for it
<davidwelker> Oh wait...

<jianwu> not sure. may chad know the situation of Kepler 1.0 and how to do it?
<davidwelker> | don't know if we should use getting-started anymore as the defult
<davidwelker> what if outreach is patched and goes to outreach-2.0.1

<davidwelker> then you code might break

<davidwelker> that is sort of fragile

<davidwelker> yeah, lets just leave it

<davidwelker> | agree it is a little less convenient

<davidwelker> But it is fine for now

<davidwelker> | want to do a Kepler 2.1 in the not too distant future

<davidwelker> and we can fix stuff like this

<jianwu> hmm

<davidwelker> you feel strongly about this =)

<davidwelkers if you feel really strongly, we can move it up

<davidwelker> but the issue is tricky. We have to find where the default is set
<davidwelker> and then that person has to detect not outreach

<davidwelker> but the latest outreach

<davidwelker> and then go from there to demos/getting-started

<jianwu> you can set it acordding to property("outreach.workflowdir")

<davidwelker> | am not sure how exactly to do that in code right off the top of my head
<davidwelker> right

<jianwu> not like outreach-2.0.1 or outreach-2.0.0

<davidwelker> you want to change it?

<davidwelker> | agree

<davidwelker> that is right

<davidwelker> | remember now

<davidwelker> derik made that

<davidwelker> so, if you want to put this out before 2.0, do you think you can hunt down where the default is and change it?
<davidwelker> if you don't have time, it would be fine to do it post 2.0

<davidwelker> | am not even sure that getting-started is where we want it to always open files
<davidwelker> that seems great for checking out demos

<jianwu> | can try. I'll fire a bug firstly about the issue.

<davidwelker> but what about their own work?

<davidwelker> If you are working on your own stuff, you want to open your own workflow
<davidwelker> so, should the default really be getting-started?

<jianwus it's true.
<jianwu> so it should be configurable?

<davidwelker> yeah

<davidwelker> | think it should be configurable

<davidwelker> but, | think KeplerData would probably be good for now, actually

<jianwu> ok. good discussion. I'll fire an enhancement bug and see what other guys say about it.
<davidwelker> perfect

<derik_> just catching up here

<derik_> i think Open dialog opens whereever you last opened from

<davidwelker> yeah

<jianwu> yes

<davidwelkers it definitely does htat

<davidwelker> cause if | open one workflow from getting-started

<davidwelker> then it opens from there without me having to navigate to it

<derik_> ok...maybe that wasn't relevant to what you guys are discussing :)

<davidwelker> so, where should it start the first time?

<davidwelker> actually derik, it is relevant

<davidwelkers it puts it in context

<derik_> ok, hmm

<davidwelker> we are just talking about where it should open the first time

<davidwelker> so, getting-started is not a bad choice

<jianwu> | agree

<davidwelker> since if you are working on your own stuff, well, it is going to open near there anyway
<davidwelker> | will leave decision to whoever has an opinion. =) | can go either way

<derik_> yeah getting-started would be a good choice for first time open. it would be a bad choice for first time save (not sure if
they're one and the same or not)

<davidwelker> good point derik_

<davidwelker> | don't think getting-started would be a good choice for first time save

History

#1 - 06/15/2012 03:30 PM - jianwu jianwu

As discussed today, it would be good idea if we can have demo workflows in Kepler actor repository at the left part of canvas. If so, we do not need
default open directory set to be demo directories.

#2 - 06/15/2012 08:27 PM - Christopher Brooks

I'm reopening this because there is some confusion about what directory
Kepler opens with File->Open.

The initial discussion was about the demos, but this bug is really about
File->Open

There is a bug here because the configuration.xml file defines
_alternateDefaultOpenDirectory
which does not work.

I'm marking this for consideration for 2.4.0.

BTW, I'm not that happy with the default file open directory
being SHOME/KeplerData/Workflows/MyWorkflows.

It smacks of the lame way that Windows used to put things in
C:\Documents and Settings\cxh\My Documents
or what ever it was.

The problem here is that if | open a workflow with:
ant run -Dworkflow=/Users/cxh/Downloads/cachedmethod-leak.xml

Then | would expect that File->Open would open a File Browser in the
same directory as the model or in the current directory, not in

some application-specific fold that will only be a good idea for a brand-new
user who does not know how to manage files.

Anyway, back to the bug.

There was this 2/9/2012 email to Kepler-dev

--start--

We are trying to change the default open directory for kepler: the only
parameter we found is _alternateDefaultOpenDirectory

in common/configs/ptolemy/configs/kepler/configuration.xml, but changing
it did not have any effect. Are we doing something wrong?
--end--

common/configs/ptolemy/configs/kepler/configuration.xml

says:  <!--

Specify an alternative default directory to open when File|Open is

first called; It is assumed that this directory is inside the SKEPLER

directory called in the ptolemy/gui/Top class.

We now default to DotKeplerManager.getPersistentDir (~/KeplerData) if this
is not set (currently what we want). See Keplerlnitializer. derik-3-23-2040

->

However, setting the value to say "ptolemy" does not cause the $KEPLER/ptolemy
to be the default directory that will be opened,

build-area/src/org/kepler/util/DotKeplerManager.java
sets
private static String _persistentUserWorkflowsDirName = "MyWorkflows";

It looks like DotKeplerManager ignores _alternateDefaultOpenDirectory?

To close this bug, either:

1) Fix DotKeplerManager so that it uses _alternateDefaultOpenDirectory
or

2) Remove all references of _alternateDefaultOpenDirectory.

BTW - perhaps if _alternateDefaultOpenDirectory was an absolute path that

began with a /, then it could be used as the directory in which to
open?

#3 - 06/27/2012 09:37 AM - Daniel Crawl

The default open/save dialogs now use _alternateDefaultOpenDirectory if it is set. If the path is absolute, it uses it unchanged; otherwise it's assumed
to be in kepler.modules.

I'm passing this back to Christopher to test and close.

#4 - 06/27/2012 10:20 AM - Christopher Brooks
Fixed! Thanks, Dan!

#5 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5052
